summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Pedro Mendes <pedro@gepasi.org>2010-05-13 01:00:35 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:35 +0200
commit9559ff169b826f28862fa0226befb11758e5a1d5 (patch)
tree7a0e1be0a3fcede92b5e6a0242e63689af9408db /office
parent538c24d3222b1b69023570159a3e954d4d8bc732 (diff)
downloadslackbuilds-9559ff169b826f28862fa0226befb11758e5a1d5.tar.gz
slackbuilds-9559ff169b826f28862fa0226befb11758e5a1d5.tar.xz
office/ps2eps: Added to 13.0 repository
Diffstat (limited to 'office')
-rw-r--r--office/ps2eps/README16
-rw-r--r--office/ps2eps/ps2eps.SlackBuild63
-rw-r--r--office/ps2eps/ps2eps.info10
-rw-r--r--office/ps2eps/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/office/ps2eps/README b/office/ps2eps/README
new file mode 100644
index 0000000000..38464c6cf9
--- /dev/null
+++ b/office/ps2eps/README
@@ -0,0 +1,16 @@
+ps2eps is a tool (written in Perl) to produce Encapsulated PostScript
+Files (EPS/EPSF) from usual one-paged Postscript documents. It calculates
+correct Bounding Boxes for those EPS files and filters some special
+postscript command sequences that can produce erroneous results on
+printers. EPS files are often needed for including (scalable) graphics of
+high quality into TeX/LaTeX (or even Word) documents.
+
+Without any argument, ps2eps reads from standard input and writes to
+standard output. If filenames are given as arguments they are processed
+one by one and output files are written to filenames with extension .eps.
+If input filenames have the extension .ps or .prn, this extension is
+replaced with .eps. In all other cases .eps is appended to the input
+filename. Please note that PostScript files for input should contain only
+one single page (you can possibly use the psselect from the psutils
+package to extract a single page from a document that contains multiple
+pages).
diff --git a/office/ps2eps/ps2eps.SlackBuild b/office/ps2eps/ps2eps.SlackBuild
new file mode 100644
index 0000000000..ff265965fd
--- /dev/null
+++ b/office/ps2eps/ps2eps.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for ps2eps
+
+# written by <pedro@gepasi.org>, hereby put in the public domain
+
+PRGNAM=ps2eps
+VERSION=${VERSION:-1.64}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Let's show what's happening here since gcc is silent...
+printf "gcc -Wall $SLKCFLAGS -o bbox src/C/bbox.c \n"
+gcc -Wall $SLKCFLAGS -o bbox src/C/bbox.c
+strip --strip-unneeded bbox
+
+mkdir -p $PKG/usr/bin
+install -m 0755 bbox $PKG/usr/bin
+install -m 0755 bin/ps2eps $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c doc/man/man1/bbox.1 > $PKG/usr/man/man1/bbox.1.gz
+gzip -9c doc/man/man1/ps2eps.1 > $PKG/usr/man/man1/ps2eps.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes.txt LICENSE.txt README.txt INSTALL.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/ps2eps/ps2eps.info b/office/ps2eps/ps2eps.info
new file mode 100644
index 0000000000..1e8fa62146
--- /dev/null
+++ b/office/ps2eps/ps2eps.info
@@ -0,0 +1,10 @@
+PRGNAM="ps2eps"
+VERSION="1.64"
+HOMEPAGE="http://www.tm.uka.de/~bless/ps2eps"
+DOWNLOAD="http://www.tm.uka.de/~bless/ps2eps-1.64.tar.gz"
+MD5SUM="89aec3f075cee662f2367b12337b5c3e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
+APPROVED="rworkman"
diff --git a/office/ps2eps/slack-desc b/office/ps2eps/slack-desc
new file mode 100644
index 0000000000..c7586e7b6a
--- /dev/null
+++ b/office/ps2eps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ps2eps: ps2eps - convert PostScript to EPS (Encapsulated PostScript) files
+ps2eps:
+ps2eps: ps2eps is a tool (written in Perl) to produce Encapsulated PostScript
+ps2eps: Files (EPS/EPSF) from usual one-paged Postscript documents. It
+ps2eps: calculates correct Bounding Boxes for those EPS files and filters some
+ps2eps: special postscript command sequences that can produce erroneous
+ps2eps: results on printers. EPS files are often needed for including
+ps2eps: (scalable) graphics of high quality into TeX/LaTeX (or even Word)
+ps2eps: documents.
+ps2eps:
+ps2eps: Homepage: http://www.tm.uka.de/~bless/ps2eps